/* S-ON System onCommon.css 1.0.0(23.01.01)
===========================================

1. Reset
2. Web accessibility
3. Button
4. Form
5. Utility
6. ETC


===========================================
*/


@charset "utf-8";
/* 1. Reset ------------------------------------------------------------------------------------ */
* {letter-spacing: -0.06em;}
html {height: 100%; overflow-x: hidden; scroll-behavior: smooth;}
body {height: 100%;}
body, button, input, select, table, textarea {font-family: 'Noto Sans Korean', sans-serif; word-break: keep-all;}
body, button, dd, dl, dt, fieldset, form, h1, h2, h3, h4, h5, h6, input, legend, li, ol, p, select, table, td, textarea, th, ul {margin:0;padding:0}
ol, ul {list-style:none}
a {color: inherit; text-decoration: none;}
fieldset {border:0}
legend {display: none;}
address, em, i {font-style: normal;}
img {vertical-align:top;}
button, input {border-radius:0;border:0}
button {background-color: transparent;}


/* 2. Web accessibility ------------------------------------------------------------------------ */
.skip {position: fixed; top: 0; left: 0; width: 0; height: 0; overflow: hidden; opacity: 0; z-index: -1;}
.skipnavigation a {position: fixed; width: 0; height: 0; overflow: hidden;}
.skipnavigation a:focus {top: 0; left: 0; display: flex; justify-content: center; align-items: center; width: 100%; height: 30px; font-size: 16px; font-weight: 400; letter-spacing: -0.06em; opacity: 1; color: #fff; background-color: #039; z-index: 10000; border: 2px dashed #fff; outline: 0;}


/* 3. Component --------------------------------------------------------------------------------- */
/* Button */
[class ^= "btnS_"] {display: inline-flex; justify-content: center; align-items: center; min-width: 68px; height: 28px; padding: 0 10px; font-size: 14px; border-radius: 5px; box-sizing: border-box; transition: all 0.3s;}
[class ^= "btnM_"] {display: inline-flex; justify-content: center; align-items: center; min-width: 80px; height: 38px; padding: 0 16px; font-size: 15px; border-radius: 5px; box-sizing: border-box; transition: all 0.3s;}
[class ^= "btnL_"] {display: inline-flex; justify-content: center; align-items: center; min-width: 160px; height: 46px; padding: 0 30px; font-size: 16px; border-radius: 10px; box-sizing: border-box; transition: all 0.3s;}

.btnS_gray, .btnM_gray, .btnL_gray {border: 1px solid #636E81; color: #fff; background:#636E81;}
.btnS_gray:hover, .btnM_gray:hover, .btnL_gray:hover {color: #636E81; background-color: #ffffff;}

.btnS_blue, .btnM_blue, .btnL_blue {border: 1px solid #0049BE; color: #ffffff; background:#0049BE;}
.btnS_blue:hover, .btnM_blue:hover, .btnL_blue:hover {color: #0049BE; background-color: #ffffff;}

.btnS_black, .btnM_black, .btnL_black {border: 1px solid #333; color: #ffffff; background:#333;}
.btnS_black:hover, .btnM_black:hover, .btnL_black:hover {opacity: 0.8;}

.btnS_red, .btnM_red, .btnL_red {border: 1px solid  #D90000; color: #ffffff; background: #D90000;}
.btnS_red:hover, .btnM_red:hover, .btnL_red:hover {color: #D90000; background-color: #ffffff;}

.btnS_green, .btnM_green, .btnL_green {border: 1px solid #00975F; color: #ffffff; background:#00975F;}
.btnS_green:hover, .btnM_green:hover, .btnL_green:hover {color: #00975F; background-color: #ffffff;}

.btnGroup {margin-top: 50px; overflow:hidden;}
    .btnGroupL {float:left;}
    .btnGroupR {float:right;}


/* Alert */
.onAlert {display: none; padding: 56px 0; text-align: center; background-color: #ffffff;}
.onAlert > h3 {margin-bottom: 8px; font-size: 17px; font-weight: 500; color: #333333;}
.onAlert > p {font-size: 15px; font-weight: 400; color: #666666;}
.onAlert {position: fixed; top: 50%; left: 50%; transform: translate(-50%, -50%); padding: 56px; border-radius: 10px; box-shadow: rgba(0, 0, 0, 0.16) 0 10px 10px; animation: oneNotReadyFadeInUp 0.3s; z-index: 100;}


    
/* 4. Form ------------------------------------------------------------------------------------- */
/* 폼 */
.onTable.form > tbody > tr > td {text-align: left;}
.onTable.form > tbody > tr > td {white-space: unset; overflow: visible;}

.onField {position: relative; display: inline-flex; margin: 2px 0; font-size: 15px; letter-spacing: -0.06em; color: #666666; align-items: center; min-height: 32px; flex-direction: row; vertical-align: middle;}
.onFieldGroup {width: 100%;}

.onFieldTable > tbody > tr > th {padding-right: 12px; font-size: 14px; font-weight: 600; color: #1E1E1E;}

/* 텍스트 */
.onField input[type="text"],
.onField input[type="password"] {height: 36px; padding-left: 10px; font-size: 15px; font-weight: 400; vertical-align: middle; border-radius: 2px; border: 1px solid #D7D7D7; color: #444; background-color: #ffffff; box-sizing: border-box;}
.onField input[type="text"]::placeholder {color: #666;}

textarea {display: block; width: 100%; height: 100%; padding: 16px; border-radius: 5px; resize: none; font-family: 'Noto Sans Korean', sans-serif; font-size: 15px; border: 1px solid #E1E1E1; box-sizing: border-box;}

/* 셀렉트 */
.onField select {height: 36px; padding: 0 30px 0 10px; border-radius: 2px; border: 1px solid #E1E1E1; font-size: 15px; font-weight: 400; color: #333;}


/* 라디오 */
.onField input[type="radio"] {width: 0; height: 0; opacity: 0;}
.onField input[type="radio"] + .onCostomRadio {display: flex; justify-content: center; align-items: center; width: 17px; height: 17px; margin: 0 8px; border-radius: 50%; border: 1px solid #6B6B6B; background-color: #fff; box-sizing: border-box;}
.onField input[type="radio"]:checked + .onCostomRadio::after {content: ""; width: 100%; height: 100%; border-radius: 50%; transform: scale(0.7); background-color: #0145B8;}
.onField input[type="radio"]:focus + .onCostomRadio {border: 2px dashed #ff6308;}


/* 라디오_라운드 */
.onField input[type="radio"].round {}
.onField input[type="radio"].round + span {position: relative; display: block; min-width: 62px; margin: 0 4px; padding: 0 10px; text-align: center; line-height: 28px; border-radius: 15px; border: 1px solid #CBCBCB; background-color: #ffffff; box-sizing: border-box; cursor: pointer;}
.onField input[type="radio"].round:checked + span {color: #ffffff; border: 1px solid #1F3D7B; background-color: #1F3D7B;}
.onField input[type="radio"].round:focus + span {border: 2px dashed #ff6308;}


/* 체크박스 */
.onField input[type="checkbox"] + .onCostomCheckbox {display: block; width: 17px; height: 17px; margin: 0 7px; border-radius: 2px; border: 1px solid #6B6B6B; background-color: #ffffff; box-sizing: border-box;}
.onField input[type="checkbox"]:checked + .onCostomCheckbox {border-color: #0049BE; background: url(../img/common/icon_check.svg) no-repeat center center #0049BE;}
.onField input[type="checkbox"]:focus + .onCostomCheckbox {border: 2px dashed #ff6308;}


/* 파일 */
.onField.onFile {align-items: stretch;}
.onField.onFile input[type="file"] {display: none;}
.onField.onFile > a,
.onField.onFile > button {display: flex; justify-content: center; align-items: center; margin: 0 0 0 6px; line-height: normal;}


/* 데이트 */
.onField.onDate label {position: relative;}
.onField.onDate input[type="text"] {width: 140px; padding-left: 10px; font-size: 15px; font-weight: 400; background-color: #ffffff; box-sizing: border-box; border-radius: 2px; border: 1px solid #E1E1E1; color: #444444; letter-spacing: -0.06em;}
.onField.onDate > span {display: block; margin: 0 5px;}


/* 텍스트에리어 */
.onField textarea {display: block; width: 100%; height: 100%; padding: 16px; border-radius: 5px; resize: none; font-family: 'Noto Sans Korean', sans-serif; font-size: 15px; border: 1px solid #E1E1E1; box-sizing: border-box;}


/* 인풋 넓이 */
.onInputS {width: 60px;}
.onInputM {width: 100px;}
.onInputL {width: 300px;}
.onInputHalf {width: 50%;}
.onInputHalf input {width: 100%;}
.onInputFull {width: 100%;}
.onInputFull input {width: 100%;}


/* 5. Utility ---------------------------------------------------------------------------------- */
/* 정렬 */
.al {text-align:left;}
.ac {text-align:center;}
.ar {text-align:right;}

/* 색상 */
.text_black {color: #000000;}
.text_gray {color: #555555;}
.text_navy {color: #1F3D7B;}
.text_blue {color: #0049BE;}
.text_red {color: #D80000;}

/* 임시 콘텐츠 박스 */
.empty {line-height: 400px; text-align: center; background-color: #eee;}
.empty:after {display: inline-block; content: "콘텐츠 영역";}


/* 6. ETC -------------------------------------------------------------------------------------- */
/* Swiper */
.swiper-pagination-bullet {width: 11px; height: 11px; background-color: #000; opacity: 0.6; transition: all 0.3s; text-align: right; margin: 0 4px;}
.swiper-pagination-bullet-active {width: 33px; border-radius: 10px; opacity: 1;}

.swiper-button-next,
.swiper-button-prev {position: static; margin-top: 0; background: none; height: auto;}
.swiper-pagination {all: unset;}

/* jquery Date Picker */
.ui-datepicker-trigger {position: absolute; transform: translateY(-50%); right: 2px; top: 50%; margin: 0 5px 0 -29px; cursor: pointer;}

/* scrollbarJS */
.scrollbar-macosx > .scroll-element .scroll-bar {background-color: rgba(0,0,0,0.4);}

/* SyntaxHighlighter */
.syntaxhighlighter {border-radius: 10px;}
.syntaxhighlighter .toolbar {display: none;}